# Interface BuildingSublayerExtensionCollection

A collection of sublayer extensions belonging to a BuildingLayerExtension.

interface BuildingSublayerExtensionCollection {
initializedItems: ReadOnlyCollection<BuildingSublayerExtension<BuildingSublayerExtensionProperties>>;
findById(id: string): BuildingSublayerExtension<BuildingSublayerExtensionProperties>;
findBySublayerId(id: string | number): BuildingSublayerExtension<BuildingSublayerExtensionProperties>;
forSublayer(sublayer: BuildingGroupSublayer | BuildingComponentSublayer): BuildingSublayerExtension<BuildingSublayerExtensionProperties>;
}

#### Hierarchy (view full)

- InitializableCollection<BuildingSublayerExtensionProperties, BuildingSublayerExtension>
  - BuildingSublayerExtensionCollection

#####
Index

### Properties

initializedItems

### Methods

findById
findBySublayerId
forSublayer

##
Properties

### initializedItems

initializedItems: ReadOnlyCollection<BuildingSublayerExtension<BuildingSublayerExtensionProperties>>

Returns a collection of the initialized items.

Inherited from InitializableCollection.initializedItems

##
Methods

### findById

- findById(id): BuildingSublayerExtension<BuildingSublayerExtensionProperties>

- Get the sublayer extension for a given id.

  #### Parameters

  - id: string

    The id of the sublayer extension.

  #### Returns BuildingSublayerExtension<BuildingSublayerExtensionProperties>

  The sublayer extension.

### findBySublayerId

- findBySublayerId(id): BuildingSublayerExtension<BuildingSublayerExtensionProperties>

- Get the corresponding sublayer extension for a given sublayer id.

  #### Parameters

  - id: string | number

    The id of the sublayer.

  #### Returns BuildingSublayerExtension<BuildingSublayerExtensionProperties>

  The corresponding sublayer extension.

### forSublayer

- forSublayer(sublayer): BuildingSublayerExtension<BuildingSublayerExtensionProperties>

- Gets the corresponding sublayer extension for a given sublayer.

  #### Parameters

  - sublayer: BuildingGroupSublayer | BuildingComponentSublayer

    A sublayer.

  #### Returns BuildingSublayerExtension<BuildingSublayerExtensionProperties>

  The corresponding sublayer extension.